#include <SDL/SDL.h>

#include "button.h"
#include "functions.h"
#include "gamestate.h"
#include "gamestates.h"
#include "globals.h"

int gsIntro::logic() {
    testButton->logic(mX, mY, mouseState);

    if (testButton->getButtonState() == B_CLICK) {
        gameMan->setNextState(STATE_MENU);
    }

    return 0;
}

int gsIntro::render() {
    SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format, 255, 255, 255));

    testButton->render();

    SDL_Flip(screen);

    return 0;
}

gsIntro::gsIntro() {
    testButton = new cButton("Enter Maze+", 165, 200, false, fNormal, B_VISIBLE, B_STANDARD);
}

gsIntro::~gsIntro() {
    delete testButton;
}
